OpenTTD Source: Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::IterateWrapperFiltered< T, F > Struct Template Reference

OpenTTD Source 15.3

Public Member Functions | Data Fields
Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::IterateWrapperFiltered< T, F > Struct Template Reference

## Public Member Functions
| IterateWrapperFiltered (size_t from, F filter)
PoolIteratorFiltered< T, F > | begin ()
PoolIteratorFiltered< T, F > | end ()
bool | empty ()

## Data Fields
size_t | from
F | filter

## Detailed Description

template<class Titem, typename Tindex, size_t Tgrowth_step, PoolType Tpool_type = PoolType::Normal, bool Tcache = false>
template<class T, class F>
struct Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::IterateWrapperFiltered< T, F >

Definition at line 271 of file pool_type.hpp.

## Constructor & Destructor Documentation

## ◆ IterateWrapperFiltered()

template<class Titem , typename Tindex , size_t Tgrowth_step, PoolType Tpool_type = PoolType::Normal, bool Tcache = false>
template<class T , class F >

Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::IterateWrapperFiltered< T, F >::IterateWrapperFiltered | ( | size_t | from,
|  | F | filter
| ) |  |
| inline

Definition at line 274 of file pool_type.hpp.

## Member Function Documentation

## ◆ begin()

template<class Titem , typename Tindex , size_t Tgrowth_step, PoolType Tpool_type = PoolType::Normal, bool Tcache = false>
template<class T , class F >

PoolIteratorFiltered< T, F > Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::IterateWrapperFiltered< T, F >::begin | ( |  | ) |
| inline

Definition at line 275 of file pool_type.hpp.

## ◆ empty()

template<class Titem , typename Tindex , size_t Tgrowth_step, PoolType Tpool_type = PoolType::Normal, bool Tcache = false>
template<class T , class F >

bool Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::IterateWrapperFiltered< T, F >::empty | ( |  | ) |
| inline

Definition at line 277 of file pool_type.hpp.

## ◆ end()

template<class Titem , typename Tindex , size_t Tgrowth_step, PoolType Tpool_type = PoolType::Normal, bool Tcache = false>
template<class T , class F >

PoolIteratorFiltered< T, F > Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::IterateWrapperFiltered< T, F >::end | ( |  | ) |
| inline

Definition at line 276 of file pool_type.hpp.

## Field Documentation

## ◆ filter

template<class Titem , typename Tindex , size_t Tgrowth_step, PoolType Tpool_type = PoolType::Normal, bool Tcache = false>
template<class T , class F >

F Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::IterateWrapperFiltered< T, F >::filter

Definition at line 273 of file pool_type.hpp.

## ◆ from

template<class Titem , typename Tindex , size_t Tgrowth_step, PoolType Tpool_type = PoolType::Normal, bool Tcache = false>
template<class T , class F >

size_t Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::IterateWrapperFiltered< T, F >::from

Definition at line 272 of file pool_type.hpp.

The documentation for this struct was generated from the following file:

- src/core/pool_type.hpp